// Forlix PlaySound
// http://forlix.org/, df@forlix.org
//
// Copyright (c) 2009-2013 Dominik Friedrichs


ReplyWithDeadTimeBlock(client,
                       const String:format[],
                       any:...)
{
  if(DeadTimeBlock(client))
    return;

  SetGlobalTransTarget(client);

  decl String:buf[MAX_MSG_LEN];
  VFormat(buf, sizeof(buf), format, 3);

  if(client)
    PrintToChat(client, "%s", buf);
  else
    PrintToServer("%s", buf);

  return;
}


bool:DeadTimeBlock(client)
{
  // block all calls within defined deadtime
  static Float:time_nc[MAXPLAYERS+1];
  new Float:time_c = GetTickedTime();

  if(time_c < time_nc[client])
    return(true);

  time_nc[client] = time_c + PLUGIN_COMMAND_DEADTIME;
  return(false);
}


StringToLower(String:str[])
{
  for(new c = 0; str[c]; c++)
  if(IsCharUpper(str[c]))
    str[c] |= (1<<5);

  return;
}
